<template>
    <div class="newspage">
        <bg-head></bg-head>
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-9">
                    <div class="main">
                        <b-container fluid align-h="center" align-v="center">
                            <b-row>
                                <news-card v-for="nc in filteredNews"
                                :key="nc.id"
                                :name="nc.name"
                                :organize="nc.organize"></news-card>
                            </b-row>
                        </b-container>
                    </div>

                </div>

                <!-- search and list havent responsive yet -->
                <div class="col-sm-6 col-md-3">
                    <aside class="category row"> 
                        <!-- <div class="col-md-6"> -->
                        <div class="input-group mb-3">
                            <input type="text" v-model="search" class="form-control" placeholder="Search ..." aria-label="Recipient's username" aria-describedby="basic-addon2">
                            <!-- <div class="input-group-append">
                                <button class="btn btn-secondary" type="button">
                                <b-icon icon="search"></b-icon>
                                </button>
                            </div> -->
                        </div>
                        <!-- </div> -->
                        <div class="mb-3 ml-3 list">
                            <h4>Categories</h4>
                            <ul>
                                <li><a href="">Announcement</a></li>
                                <li><a href="">Event</a></li>
                                <li><a href="">Recruitment</a></li>
                                <li><a href="">Scholarship</a></li>
                            </ul>

                        </div>
                    </aside>
                </div>
            </div>
        </div>
        
    </div>
</template>
<script>
import bgHeader from "@/components/bgHeader.vue"
import newsCard from "@/components/newsCard.vue"

export default {
  components:{
    "bg-head": bgHeader,
    "news-card": newsCard
  },
  mounted(){
      this.fetchData();
    },
    data(){
        return{
            news: [],
            search:""
        }
    },
    methods:{
        async fetchData(){
            const res = await fetch("news.json");
            const value = await res.json();
            this.news = value;
            console.log(value);

        }
    },
    computed:{
        filteredNews: function(){
            return this.news.filter((nc) => {
                return nc.name.match(this.search);
            });
        }
    }
}

</script>

<style>
.row{
    padding-top: 3rem;
}
.category{
    float: center;
    width: 100%;
    border: 1px solid #eee;
    margin: auto;
    overflow: hidden;
    padding: 10px;
}
.card{
    margin-bottom: 3rem;
}
.list{
    text-align: left;
    color: black;
}

a:link{
  text-decoration: none;
}

a:hover{
  text-decoration: none;
  color: gray;
}

a{
  color: black;
}
</style>